Bug 456440 - Double free crash if directory write permission is denied
Double free crash if directory write permission is denied
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vorbisgain (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-23 13:20 EDT by Tethys
Modified: 2009-07-14 13:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:48:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tethys 2008-07-23 13:20:37 EDT
Description of problem:
When run on files in a non-writeable directory, vorbisgain crashes
with a double free error. Obviously, I'm not expecting it to work.
But it shouldn't crash, either. Looks like a classic case of not
checking return values...

Version-Release number of selected component (if applicable):
vorbisgain-0.36-3.fc9.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. chmod -w /path/to/audio
2. vorbisgain /path/to/audio/file.ogg
  
Actual results:

mrburns:~/foo% ls -al
total 3620
dr-xr-xr-x  2 tet tet    4096 2008-07-23 18:14 .
drwx------ 54 tet tet    4096 2008-07-23 18:14 ..
-r--r--r--  1 tet tet 3690612 2008-07-23 18:14 foo.ogg
mrburns:~/foo% vorbisgain foo.ogg 
Analyzing files...

   Gain   |  Peak  | Scale | New Peak | Track
----------+--------+-------+----------+------
 -9.13 dB |  43478 |  0.35 |    15197 | foo.ogg
Couldn't open 'vorbisgain.tmp' for output: Permission denied
*** glibc detected *** vorbisgain: double free or corruption (!prev):
0x0000000001450080 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3fa9278158]
/lib64/libc.so.6(cfree+0x76)[0x3fa927a796]
/lib64/libc.so.6(fclose+0x151)[0x3fa9268661]
vorbisgain[0x4032ef]
vorbisgain[0x4026d0]
vorbisgain[0x402c5f]
/lib64/libc.so.6(__libc_start_main+0xfa)[0x3fa921e32a]
vorbisgain(fwrite+0xb9)[0x401ed9]
======= Memory map: ========
00400000-00409000 r-xp 00000000 fd:01 711947                            
/usr/bin/vorbisgain
00608000-00609000 rw-p 00008000 fd:01 711947                            
/usr/bin/vorbisgain
00609000-0062a000 rw-p 00609000 00:00 0 
01450000-01492000 rw-p 01450000 00:00 0                                  [heap]
3cf9400000-3cf941f000 r-xp 00000000 fd:01 509880                        
/usr/lib64/libvorbis.so.0.4.0
3cf941f000-3cf961e000 ---p 0001f000 fd:01 509880                        
/usr/lib64/libvorbis.so.0.4.0
3cf961e000-3cf962d000 rw-p 0001e000 fd:01 509880                        
/usr/lib64/libvorbis.so.0.4.0
3cfac00000-3cfac07000 r-xp 00000000 fd:01 507604                        
/usr/lib64/libvorbisfile.so.3.2.0
3cfac07000-3cfae06000 ---p 00007000 fd:01 507604                        
/usr/lib64/libvorbisfile.so.3.2.0
3cfae06000-3cfae07000 rw-p 00006000 fd:01 507604                        
/usr/lib64/libvorbisfile.so.3.2.0
3fa8e00000-3fa8e1d000 r-xp 00000000 fd:00 24257                         
/lib64/ld-2.8.so
3fa901c000-3fa901d000 r--p 0001c000 fd:00 24257                         
/lib64/ld-2.8.so
3fa901d000-3fa901e000 rw-p 0001d000 fd:00 24257                         
/lib64/ld-2.8.so
3fa9200000-3fa9362000 r-xp 00000000 fd:00 24258                         
/lib64/libc-2.8.so
3fa9362000-3fa9562000 ---p 00162000 fd:00 24258                         
/lib64/libc-2.8.so
3fa9562000-3fa9566000 r--p 00162000 fd:00 24258                         
/lib64/libc-2.8.so
3fa9566000-3fa9567000 rw-p 00166000 fd:00 24258                         
/lib64/libc-2.8.so
3fa9567000-3fa956c000 rw-p 3fa9567000 00:00 0 
3fa9600000-3fa9684000 r-xp 00000000 fd:00 24265                         
/lib64/libm-2.8.so
3fa9684000-3fa9883000 ---p 00084000 fd:00 24265                         
/lib64/libm-2.8.so
3fa9883000-3fa9884000 r--p 00083000 fd:00 24265                         
/lib64/libm-2.8.so
3fa9884000-3fa9885000 rw-p 00084000 fd:00 24265                         
/lib64/libm-2.8.so
3faaa00000-3faaa05000 r-xp 00000000 fd:01 507730                        
/usr/lib64/libogg.so.0.5.3
3faaa05000-3faac04000 ---p 00005000 fd:01 507730                        
/usr/lib64/libogg.so.0.5.3
3faac04000-3faac05000 rw-p 00004000 fd:01 507730                        
/usr/lib64/libogg.so.0.5.3
3fb7e00000-3fb7e16000 r-xp 00000000 fd:00 24267                         
/lib64/libgcc_s-4.3.0-20080428.so.1
3fb7e16000-3fb8015000 ---p 00016000 fd:00 24267                         
/lib64/libgcc_s-4.3.0-20080428.so.1
3fb8015000-3fb8016000 rw-p 00015000 fd:00 24267                         
/lib64/libgcc_s-4.3.0-20080428.so.1
7fd1cc000000-7fd1cc021000 rw-p 7fd1cc000000 00:00 0 
7fd1cc021000-7fd1d0000000 ---p 7fd1cc021000 00:00 0 
7fd1d236c000-7fd1d236f000 rw-p 7fd1d236c000 00:00 0 
7fd1d237c000-7fd1d237d000 rw-p 7fd1d237c000 00:00 0 
7fd1d237e000-7fd1d2380000 rw-p 7fd1d237e000 00:00 0 
7fffda36a000-7fffda37f000 rw-p 7ffffffea000 00:00 0                      [stack]
7fffda3fe000-7fffda400000 r-xp 7fffda3fe000 00:00 0                      [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Aborted

Expected results:
A more graceful failure...
Comment 1 Bug Zapper 2009-06-09 22:11:54 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 13:48:23 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.